Bullet Collision Detection & Physics Library: btDeformableFaceRigidContactConstraint Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btDeformableFaceRigidContactConstraint Class Reference

`#include <btDeformableContactConstraint.h>`

Inheritance diagram for btDeformableFaceRigidContactConstraint:
[legend]
Collaboration diagram for btDeformableFaceRigidContactConstraint:
[legend]

## Public Member Functions
| btDeformableFaceRigidContactConstraint ()
| btDeformableFaceRigidContactConstraint (const btSoftBody::DeformableFaceRigidContact &contact)
| btDeformableFaceRigidContactConstraint (const btDeformableFaceRigidContactConstraint &other)
virtual | ~btDeformableFaceRigidContactConstraint ()
virtual btVector3 | getVb () const
virtual btVector3 | getDv (const btSoftBody::Node *) const
const btSoftBody::DeformableFaceRigidContact * | getContact () const
virtual void | applyImpulse (const btVector3 &impulse)
virtual void | applySplitImpulse (const btVector3 &impulse)
Public Member Functions inherited from btDeformableRigidContactConstraint
| btDeformableRigidContactConstraint ()
| btDeformableRigidContactConstraint (const btSoftBody::DeformableRigidContact &c)
| btDeformableRigidContactConstraint (const btDeformableRigidContactConstraint &other)
virtual | ~btDeformableRigidContactConstraint ()
virtual btVector3 | getVa () const
virtual btScalar | solveConstraint ()
virtual btScalar | solveSplitImpulse (const btContactSolverInfo &infoGlobal)
virtual void | setPenetrationScale (btScalar scale)
Public Member Functions inherited from btDeformableContactConstraint
| btDeformableContactConstraint (const btVector3 &normal)
| btDeformableContactConstraint (bool isStatic, const btVector3 &normal)
| btDeformableContactConstraint (const btDeformableContactConstraint &other)
| btDeformableContactConstraint ()
virtual | ~btDeformableContactConstraint ()

## Public Attributes
const btSoftBody::Face * | m_face
Public Attributes inherited from btDeformableRigidContactConstraint
btVector3 | m_total_normal_dv
btVector3 | m_total_tangent_dv
btScalar | m_penetration
const btSoftBody::DeformableRigidContact * | m_contact
Public Attributes inherited from btDeformableContactConstraint
bool | m_static
btVector3 | m_normal

## Detailed Description

Definition at line 227 of file btDeformableContactConstraint.h.

## Constructor & Destructor Documentation

## ◆ btDeformableFaceRigidContactConstraint() [1/3]

btDeformableFaceRigidContactConstraint::btDeformableFaceRigidContactConstraint | ( |  | ) |
| inline

Definition at line 231 of file btDeformableContactConstraint.h.

## ◆ btDeformableFaceRigidContactConstraint() [2/3]

btDeformableFaceRigidContactConstraint::btDeformableFaceRigidContactConstraint | ( | const btSoftBody::DeformableFaceRigidContact & | contact | ) |

Definition at line 360 of file btDeformableContactConstraint.cpp.

## ◆ btDeformableFaceRigidContactConstraint() [3/3]

btDeformableFaceRigidContactConstraint::btDeformableFaceRigidContactConstraint | ( | const btDeformableFaceRigidContactConstraint & | other | ) |

Definition at line 366 of file btDeformableContactConstraint.cpp.

## ◆ ~btDeformableFaceRigidContactConstraint()

virtual btDeformableFaceRigidContactConstraint::~btDeformableFaceRigidContactConstraint | ( |  | ) |
| inlinevirtual

Definition at line 235 of file btDeformableContactConstraint.h.

## Member Function Documentation

## ◆ applyImpulse()

void btDeformableFaceRigidContactConstraint::applyImpulse | ( | const btVector3 & | impulse | ) |
| virtual

Implements btDeformableContactConstraint.

Definition at line 396 of file btDeformableContactConstraint.cpp.

## ◆ applySplitImpulse()

void btDeformableFaceRigidContactConstraint::applySplitImpulse | ( | const btVector3 & | impulse | ) |
| virtual

Implements btDeformableContactConstraint.

Definition at line 429 of file btDeformableContactConstraint.cpp.

## ◆ getContact()

const btSoftBody::DeformableFaceRigidContact* btDeformableFaceRigidContactConstraint::getContact | ( |  | ) | const
| inline

Definition at line 246 of file btDeformableContactConstraint.h.

## ◆ getDv()

btVector3 btDeformableFaceRigidContactConstraint::getDv | ( | const btSoftBody::Node * | node | ) | const
| virtual

Implements btDeformableContactConstraint.

Definition at line 380 of file btDeformableContactConstraint.cpp.

## ◆ getVb()

btVector3 btDeformableFaceRigidContactConstraint::getVb | ( |  | ) | const
| virtual

Implements btDeformableContactConstraint.

Definition at line 372 of file btDeformableContactConstraint.cpp.

## Member Data Documentation

## ◆ m_face

const btSoftBody::Face* btDeformableFaceRigidContactConstraint::m_face

Definition at line 230 of file btDeformableContactConstraint.h.

The documentation for this class was generated from the following files:

- btDeformableContactConstraint.h
- btDeformableContactConstraint.cpp